[haiku-bugs] Re: [Haiku] #9991: HaikuPM: perl - cannot install modules with cpan shell (was: HaikuPM: perl heavily crippled)

  • From: "zzzzz" <trac@xxxxxxxxxxxx>
  • Date: Mon, 04 Nov 2013 23:52:55 -0000

#9991: HaikuPM: perl - cannot install modules with cpan shell
-----------------------------------------------+---------------------------
   Reporter:  zzzzz                            |      Owner:  zooey
       Type:  bug                              |     Status:  assigned
   Priority:  normal                           |  Milestone:  R1/beta1
  Component:  Applications/Command Line Tools  |    Version:  R1/Package
 Resolution:                                   |  Management
 Blocked By:                                   |   Keywords:
Has a Patch:  0                                |  perl,cpan,modules
                                               |   Blocking:
                                               |   Platform:  x86
-----------------------------------------------+---------------------------

Comment (by zzzzz):

 I managed to build perl-5.18.1 from updated recipe from HaikuPorter.
 Installing modules from CPAN works fine here, with some minor issues:

 1) installing needs restart (cannot commit transaction)
 2) on cpan shell's first run it moans about not-writable locations.
 However, no further action is needed
 3) installing ExtUtils::MakeMaker-based modules results with doc-install-
 error (ignorable), due to missing perllocal.pod file.
 4) rebuild of 5.18.1 fails when 5.18.1 is already installed (for unknown
 reason).

 Anyway, I think it's worth to upgrade perl to 5.18.1 version.

--
Ticket URL: <http://dev.haiku-os.org/ticket/9991#comment:6>
Haiku <http://dev.haiku-os.org>
Haiku - the operating system.

Other related posts:

  • » [haiku-bugs] Re: [Haiku] #9991: HaikuPM: perl - cannot install modules with cpan shell (was: HaikuPM: perl heavily crippled) - zzzzz